Subject: Re: sctp_peeloff()

From: "Randall Stewart (cisco)" <[email-masked]>
Date: Tue, 09 Dec 2003 05:36:44 -0600

Kacheong Poon wrote:

> I'd like to gather opinions about making sctp_peeloff()
> work in one-one style SCTP socket.  The semantics is
> creating a new socket for a particular stream of an
> association. The stream number will be passed in the
> place of the assoc_id in the current sctp_peeloff().
>
> Do people think that their apps can benefit from this?
> Thanks.
>
Hmm... There does seem to be some interest (at least
I have been contacted privately several times) on making
it so that you can read from a particular stream...

I don't think I would be opposed to this... it will be a bit
of code for me, but has you have said .. its just code... and
it may well be quite useful...

Let's see what other developers think... I could go for it :->

R